Get async segmentation job status
GET
/v1/jobs/{jobId}
const url = 'https://api.segmentationapi.com/v1/jobs/example';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://api.segmentationapi.com/v1/jobs/example \ --header 'Authorization: Bearer <token>'Return the current job status and per-task state. This response does not include masks. Poll until status is success or failed, then call retrieveJobResult or createJobDownload.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”Responses
Section titled “Responses”Current async job status
Media typeapplication/json
object
Example
{ "jobId": "job-abc-987", "type": "image", "processingMode": "batch", "status": "processing", "totalItems": 2, "createdAt": "2026-08-03T12:00:00Z", "updatedAt": "2026-08-03T12:01:00Z", "tasks": [ { "taskId": "a1b2c3d4-e5f6-7890-abcd-ef1234567890.png", "status": "processing" }, { "taskId": "b2c3d4e5-f6a7-8901-bcde-f12345678901.jpg", "status": "success" } ]}Authentication is missing, invalid, or expired
Media typeapplication/json
object
Examplegenerated
{ "error": "example", "message": "example", "remainingTokens": 1, "requestedTokens": 1, "expiresAt": "2026-04-15T12:00:00Z", "activeJobId": "example", "upgradeUrl": "https://example.com", "retryAfterSeconds": 1}The requested resource was not found
Media typeapplication/json
object
Examplegenerated
{ "error": "example", "message": "example", "remainingTokens": 1, "requestedTokens": 1, "expiresAt": "2026-04-15T12:00:00Z", "activeJobId": "example", "upgradeUrl": "https://example.com", "retryAfterSeconds": 1}Internal server error
Media typeapplication/json
object
Examplegenerated
{ "error": "example", "message": "example", "remainingTokens": 1, "requestedTokens": 1, "expiresAt": "2026-04-15T12:00:00Z", "activeJobId": "example", "upgradeUrl": "https://example.com", "retryAfterSeconds": 1}